org.eclnt.jsfserver.elements.componentnodes

## Class CAPTUREANIMATORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CAPTUREANIMATORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CAPTUREANIMATORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAPTUREANIMATORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CAPTUREANIMATORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindAnimatestepcount(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindComment(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CAPTUREANIMATORNode` | `setAdapterbinding(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setAnimatestepcount(int value)`
    `CAPTUREANIMATORNode` | `setAnimatestepcount(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setAnimationtype(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setAttributemacro(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setComment(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setConfiginfo(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setId(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setReference(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setRendered(boolean value)`
    `CAPTUREANIMATORNode` | `setRendered(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setStylevariant(java.lang.String value)`
    `CAPTUREANIMATORNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CAPTUREANIMATORNode

          public CAPTUREANIMATORNode()

  - ### Method Detail

    - #### setId

          public CAPTUREANIMATORNode setId(java.lang.String value)

    - #### setAdapterbinding

          public CAPTUREANIMATORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CAPTUREANIMATORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatestepcount

          public CAPTUREANIMATORNode setAnimatestepcount(java.lang.String value)

    - #### bindAnimatestepcount

          public CAPTUREANIMATORNode bindAnimatestepcount(IDynamicContentBindingObject value)

    - #### setAnimatestepcount

          public CAPTUREANIMATORNode setAnimatestepcount(int value)

    - #### setAnimationtype

          public CAPTUREANIMATORNode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public CAPTUREANIMATORNode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CAPTUREANIMATORNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CAPTUREANIMATORNode setComment(java.lang.String value)

    - #### bindComment

          public CAPTUREANIMATORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CAPTUREANIMATORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CAPTUREANIMATORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public CAPTUREANIMATORNode setReference(java.lang.String value)

    - #### setRendered

          public CAPTUREANIMATORNode setRendered(java.lang.String value)

    - #### bindRendered

          public CAPTUREANIMATORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CAPTUREANIMATORNode setRendered(boolean value)

    - #### setStylevariant

          public CAPTUREANIMATORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CAPTUREANIMATORNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public CAPTUREANIMATORNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CAPTUREANIMATORNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.